package com.steerinfo.weight.gxmes.service.impl;
import com.steerinfo.config.dynamicDataSource.TargetDataSource;
import com.steerinfo.weight.gxmes.mapper.GxWeightMapper;
import com.steerinfo.weight.gxmes.model.GxWeight;
import com.steerinfo.weight.gxmes.service.IGxWeightService;
import com.steerinfo.weight.lgmes.model.LgWeight;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("gxWeightService")
public class GxWeightImpl implements IGxWeightService {

    @Autowired
    private GxWeightMapper gxWeightMapper;

    @Override
    @TargetDataSource(name = "ds5")
    public List<GxWeight> QueryWeightforRound(String startTime, String endTime) {
        return gxWeightMapper.QueryWeightforRound(startTime,endTime);
    }

    @Override
    @TargetDataSource(name = "ds5")
    public List<GxWeight> QueryWeightforRound2(String startTime, String endTime) {
        return gxWeightMapper.QueryWeightforRound2(startTime,endTime);
    }

}
